org.eclipse.jetty.servlet

## Class Holder.HolderRegistration

- java.lang.Object
- - org.eclipse.jetty.servlet.Holder.HolderRegistration

- All Implemented Interfaces:
    Registration, Registration.Dynamic
  Direct Known Subclasses:
    FilterHolder.Registration, ServletHolder.Registration
  Enclosing class:
    Holder<T>

      protected class Holder.HolderRegistration
      extends java.lang.Object
      implements Registration.Dynamic

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.servlet.api.Registration

      `Registration.Dynamic`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Holder.HolderRegistration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassName()`
    `java.lang.String` | `getInitParameter(java.lang.String name)`
    `java.util.Map<java.lang.String,java.lang.String>` | `getInitParameters()`
    `java.lang.String` | `getName()`
    `void` | `setAsyncSupported(boolean isAsyncSupported)`
    `void` | `setDescription(java.lang.String description)`
    `boolean` | `setInitParameter(java.lang.String name, java.lang.String value)`
    `java.util.Set<java.lang.String>` | `setInitParameters(java.util.Map<java.lang.String,java.lang.String> initParameters)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Holder.HolderRegistration

          protected Holder.HolderRegistration()

  - ### Method Detail

    - #### setAsyncSupported

          public void setAsyncSupported(boolean isAsyncSupported)

      Specified by:
        `setAsyncSupported` in interface `Registration.Dynamic`

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getClassName

          public java.lang.String getClassName()

      Specified by:
        `getClassName` in interface `Registration`

    - #### getInitParameter

          public java.lang.String getInitParameter(java.lang.String name)

      Specified by:
        `getInitParameter` in interface `Registration`

    - #### getInitParameters

          public java.util.Map<java.lang.String,java.lang.String> getInitParameters()

      Specified by:
        `getInitParameters` in interface `Registration`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `Registration`

    - #### setInitParameter

          public boolean setInitParameter(java.lang.String name,
                                 java.lang.String value)

      Specified by:
        `setInitParameter` in interface `Registration`

    - #### setInitParameters

          public java.util.Set<java.lang.String> setInitParameters(java.util.Map<java.lang.String,java.lang.String> initParameters)

      Specified by:
        `setInitParameters` in interface `Registration`

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.